Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1202959 - (6.4.z) [SET] Ignore subset of unsupported mixed-domain tests when running on JDK8
Summary: (6.4.z) [SET] Ignore subset of unsupported mixed-domain tests when running on...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.2
Assignee: Dominik Pospisil
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks: 1219165
TreeView+ depends on / blocked
 
Reported: 2015-03-17 19:22 UTC by Dominik Pospisil
Modified: 2017-01-17 10:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 10:12:05 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1015243 0 unspecified CLOSED Test latest domain configuration against previous versions of EAP 2021-02-22 00:41:40 UTC

Internal Links: 1015243

Description Dominik Pospisil 2015-03-17 19:22:44 UTC
Description of problem:

Mixed domain tests requires old versions of EAP to be running. Versions of EAP prior to 6.3.0 could not start with JDK8 which makes the tests fail.

Comment 1 Dominik Pospisil 2015-03-17 20:32:15 UTC
https://github.com/jbossas/jboss-eap/pull/2357

Comment 3 Petr Kremensky 2015-05-18 07:47:28 UTC
Verified on EAP 6.4.1.CP.CR2

Comment 4 Petr Kremensky 2015-06-12 07:32:53 UTC
Only 6.3.0 is started now even on JDK.version < 1.8

SystemUtils.JAVA_VERSION_INT returns version in format like [160,170,180] not [600,700,800] thus this should be

...
     static MixedDomainTestSupport getSupport(Class<?> testClass) {
         if (! testClass.getAnnotation(Version.class).value().equals(Version.AsVersion.EAP_6_3_0))
-            Assume.assumeTrue((SystemUtils.JAVA_VERSION_INT >= 600) && (SystemUtils.JAVA_VERSION_INT < 800));
+            Assume.assumeTrue((SystemUtils.JAVA_VERSION_INT >= 160) && (SystemUtils.JAVA_VERSION_INT < 180));
 
         Version.AsVersion version = getVersion(testClass);
...

Unfortunately I looked only at JDK 1.8 results back in the day (only 6.3.0 was started as expected) so I miss this :/

Comment 5 Petr Kremensky 2015-06-15 09:45:24 UTC
PR sent: https://github.com/jbossas/jboss-eap/pull/2445

Comment 7 Marek Kopecky 2015-06-23 11:46:31 UTC
Verified on EAP 6.4.2.CP.CR1

Comment 8 Petr Penicka 2017-01-17 10:12:05 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.